Get the top level transaction IDs for the block on the given round. | Algorand Developer Portal

Get the top level transaction IDs for the block on the given round.

GET

/v2/blocks/{round}/txids

Authorizations

Parameters

Path Parameters

round
required
integer
A round number.

Responses

200

Top level transaction IDs in a block.

Select media type application/json
object

blockTxids
required
Block transaction IDs.

Array

400

Bad Request - Non integer number

Select media type application/json
An error response with optional data field. object

data
object
message
required
string

401

Invalid API Token

Select media type application/json
An error response with optional data field. object

data
object
message
required
string

404

Non existing block

Select media type application/json
An error response with optional data field. object

data
object
message
required
string

500

Internal Error

Select media type application/json
An error response with optional data field. object

data
object
message
required
string

default

Unknown Error